<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head><title><!--{$UUDEV_PAGE_TITLE}--></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<!--{include file=elements/header.css.html}-->
<!--{include file=elements/header.js.html type=common}-->
</head>
<body>
<div id="outside">
	<!--{include file=frame/top.html}-->
	<div id="mainareaContent">
		<!--{include file=frame/left.html}-->
		<div id="rightContent">
			<div id="topContent">
				<div class="sitmap">
					<span class="r"><!--{include file="elements/uuadvad.html"}--></span>赚钱广告&nbsp;&gt;&nbsp;网站广告&nbsp;&gt;&nbsp;广告内容管理
				</div>
			</div>
			<div class="tabcontent">
				<a href="index.php?r=Ad.adlist&menu_id=51" class="nolink">广告内容管理</a>
				<a href="index.php?r=Ad.report&menu_id=51" class="link">广告数据报表</a>
			</div>
			<div id="secrightContent" style="margin-top:1px;">
				<div id="setupad_nav">设置广告投放范围</div>
				<form id="AdForm" action="index.php?r=Ad.setupad" method="post" onSubmit="setDisabled(':button',window.document)">
				<div id="setupad_top">
					<span style="float:right; margin-top:5px; margin-right:5px!important; margin-right:0px;">
						<button type="submit" class="butsubmit">提交</button>&nbsp;&nbsp;<button type="button" class="but2font" onClick="window.location.href='index.php?<!--{$returnParams}-->'">返回</button>
					</span>
					<input type="button" class="check" onClick="chooseAll('1')"/><input type="button" class="check2" onClick="chooseAll('0')" style="display:none"/><input type="button" class="open" onClick="showAll('1')"/><input type="button" class="open2" onClick="showAll('0')" style="display:none"/>
				</div>
				<input type="hidden" name="action" value="do"/>
				<input type="hidden" name="ad_id" value="<!--{$ad_id}-->"/>
				<input type="hidden" name="returnParams" value="<!--{$returnParams}-->"/>
				<!--{assign var=channelmoduleid value=0}-->
				<!--{assign var=channelid value=0}-->
				<!--{foreach from=$channelAdPositionList item=data name=foo}-->
					<!--{if $data.channel_module_id != $channelmoduleid}-->
						<!--{if $channelmoduleid > 0}--><div style="clear:both; height:1px; overflow:hidden;"></div></div><!--{/if}-->
						<div id="setupad_box">
						<div class="title"><input type="checkbox" class="choosemodule" id="module<!--{$data.channel_module_id}-->" value="<!--{$data.channel_module_id}-->"/><!--{$data.channel_module_name}--></div>
						<!--{assign var=channelmoduleid value=$data.channel_module_id}-->
					<!--{/if}-->
					<!--{if $data.channel_id != $channelid}-->
						<!--{assign var=channelid value=$data.channel_id}-->
						<div class="content_box">
							<div style="padding-bottom:3px"><input type="checkbox" class="choosechannel" id="channel<!--{$data.channel_id}-->" module_id="<!--{$data.channel_module_id}-->" value="<!--{$data.channel_id}-->"/><img class="adpshow" src="images/+.gif" style="cursor:pointer" onclick="adpshow('<!--{$data.channel_id}-->', this)"><!--{$data.channel_text}-->&nbsp;ID:<!--{$data.channel_id}--></div>
							<div class="content" id="content<!--{$data.channel_id}-->" style="display:none">
								<table>
									<tr>
										<td class="a" align="center">列表页</td>
										<td class="d" align="center">内容页</td>
									</tr>
									<tr>
										<td class="b" align="center">
											<!--{foreach from=$channelAdPositionList item=item}-->
												<!--{if $data.channel_id == $item.channel_id && $item.page_type == 1}-->
													<!--{if $item.position == 1}-->
														<input type="checkbox" name="data[]" channel_id="<!--{$item.channel_id}-->" module_id="<!--{$item.channel_module_id}-->" value="<!--{$item.channel_id}-->_<!--{$item.ad_position_id}-->_<!--{$item.channel_module_id}-->_1_1" <!--{if $item.channel_ad_position_id != null}-->checked<!--{/if}-->/>顶部
														<!--{elseif $item.position == 3}-->
														<input type="checkbox" name="data[]" channel_id="<!--{$item.channel_id}-->" module_id="<!--{$item.channel_module_id}-->" value="<!--{$item.channel_id}-->_<!--{$item.ad_position_id}-->_<!--{$item.channel_module_id}-->_1_3" <!--{if $item.channel_ad_position_id != null}-->checked<!--{/if}-->/>底部
													<!--{/if}-->
												<!--{/if}-->
											<!--{/foreach}-->
										</td>
										<td class="c" align="center">
											<!--{foreach from=$channelAdPositionList item=item}-->
											<!--{if $data.channel_id == $item.channel_id && $item.page_type == 2}-->
												<!--{if $item.position == 1}-->
												<input type="checkbox" name="data[]" channel_id="<!--{$item.channel_id}-->" module_id="<!--{$item.channel_module_id}-->" value="<!--{$item.channel_id}-->_<!--{$item.ad_position_id}-->_<!--{$item.channel_module_id}-->_2_1" <!--{if $item.channel_ad_position_id != null}-->checked<!--{/if}-->/>顶部
												<!--{elseif $item.position == 2}-->
													<input type="checkbox" name="data[]" channel_id="<!--{$item.channel_id}-->" module_id="<!--{$item.channel_module_id}-->" value="<!--{$item.channel_id}-->_<!--{$item.ad_position_id}-->_<!--{$item.channel_module_id}-->_2_2" <!--{if $item.channel_ad_position_id != null}-->checked<!--{/if}-->/>中部
													<!--{elseif $item.position == 3}-->
													<input type="checkbox" name="data[]" channel_id="<!--{$item.channel_id}-->" module_id="<!--{$item.channel_module_id}-->" value="<!--{$item.channel_id}-->_<!--{$item.ad_position_id}-->_<!--{$item.channel_module_id}-->_2_3" <!--{if $item.channel_ad_position_id != null}-->checked<!--{/if}-->/>底部
													<!--{/if}-->
												<!--{/if}-->
											<!--{/foreach}-->
										</td>
									</tr>
								</table>
							</div>
						</div>
					<!--{/if}-->
					<!--{if $smarty.foreach.foo.last}--><div style="clear:both; height:1px; overflow:hidden;"></div></div><!--{/if}-->
				<!--{/foreach}-->
				</form>
				<br/>
			</div>
		</div>
	</div>
</div>
</body>
<script>
$(document).ready(function(){
	//initial check status
	$("input[name=data[]]").each(function(){
		if ($(this).attr("checked") == true) {
			$("#module"+$(this).attr("module_id")).attr("checked", true);
			$("#channel"+$(this).attr("channel_id")).attr("checked", true);
		}
	});
	//initial module
	$(".choosemodule").click(function(){
		if ($(this).attr("checked") == true) {
			$("input[module_id="+$(this).val()+"]").each(function(){
				$(this).attr("checked", true);
			});
		} else {
			$("input[module_id="+$(this).val()+"]").each(function(){
				$(this).attr("checked", false);
			});
		}
	});
	//initial channel
	$(".choosechannel").click(function(){
		if ($(this).attr("checked") == true) {
			$("input[channel_id="+$(this).val()+"]").each(function(){
				$(this).attr("checked", true);
			});
		} else {
			$("input[channel_id="+$(this).val()+"]").each(function(){
				$(this).attr("checked", false);
			});
		}
	});
});
//全选和取消全选
function chooseAll(type){
	if (type == 1) {
		$("input[type=checkbox]").each(function(){
			$(this).attr("checked", true);
		});
		$(".check").hide();
		$(".check2").show();
	} else {
		$("input[type=checkbox]").each(function(){
			$(this).attr("checked", false);
		});
		$(".check").show();
		$(".check2").hide();
	}
}
//展开和收缩
function showAll(type){
	if (type == 1) {
		$(".content").each(function(){
			$(this).show();
		});
		$(".adpshow").each(function(){
			$(this).attr("src", "images/-.gif");
		});
		$(".open").hide();
		$(".open2").show();
	} else {
		$(".content").each(function(){
			$(this).hide();
		});
		$(".adpshow").each(function(){
			$(this).attr("src", "images/+.gif");
		});
		$(".open").show();
		$(".open2").hide();
	}
}
//
function adpshow(id, obj){
	if ($(obj).attr("src") == "images/+.gif") {
		$("#content"+id).show();
		$(obj).attr("src" , "images/-.gif");
	} else {
		$("#content"+id).hide();
		$(obj).attr("src" , "images/+.gif");
	}
}
</script>
</html>